<?php

if(_SERVER("REQUEST_METHOD"))
	exit; // avoid php execution via http request

include_once "/lib/sn_dns.php";
include_once "/lib/vn_mqtt.php";

$host_name = "iot.eclipse.org";
//$host_name = "[192.168.0.3]";
$port = 8883;

mqtt_ssl_setup(0, "PHPoC-MQTT Sub Example",  $host_name, $port); 

/*
$will_qos = 2;
$will_retain = true;
$will_topic = "disaster/tsunami";
$will_message = "Goodbye forever at ". date("Y:M-d-D, H:i:s");
$will = array($will_qos, $will_retain, $will_topic, $will_message);
*/
$will = "";
$username = "";
$password = "";

mqtt_connect(true, $will, $username, $password);

$out_topics = array(array("sensors/temperature", 1), array("disaster/tsunami", 2));

if(mqtt_state() == MQTT_CONNECTED)
	mqtt_subscribe($out_topics);

$in_topic = "";
$in_content = "";
$is_retain = 0;

while(1)
{	
	if(mqtt_state() == MQTT_DISCONNECTED)
		while(mqtt_reconnect() == false);
	
	if(mqtt_loop($in_topic, $in_content, $is_retain))
	{
		//TODO , procees the received publish packet here
		if($is_retain == 1)
			echo "<<a stale message\r\n";
		
		echo "<<topic:$in_topic\r\n";
		echo "<<content: $in_content\r\n";
	}
}
//mqtt_unsubscribe("sensors/temperature");
	
mqtt_disconnect();

?>