<?php

if(_SERVER("REQUEST_METHOD"))
	exit; // avoid php execution via http request

include_once "/lib/sn_dns.php";
include_once "/lib/vn_mqtt.php";

$host_name = "iot.eclipse.org";
//$host_name = "[192.168.0.3]";
$port = 8883;

mqtt_ssl_setup(0, "PHPoC-MQTT Pub Example", $host_name, $port);

$will = "";
$username = "";
$password = "";
mqtt_connect(true, $will, $username, $password);

$dup_flag = 0;
$qos = 2;// change qos here.
$retain_flag = 0;
$out_topics = array(array("sensors/temperature", 1), array("disasters/tsunami", 2));

$in_topic = "";
$in_content = "";
$is_retain = 0;

$count_msg = 0;

while(1)
{			
	if(mqtt_state() == MQTT_CONNECTED)
	{
		$qos = 0;
		$count_msg++;
		$msg = "Message From PHPoC, count: $count_msg, QoS: $qos! at ". date("Y:M-d-D, H:i:s");
		mqtt_publish($out_topics[0][0], $msg, $dup_flag, $qos, $retain_flag);
		mqtt_publish($out_topics[1][0], $msg, $dup_flag, $qos, $retain_flag);
		sleep(2);
		
		$qos = 1;
		$count_msg++;
		$msg = "Message From PHPoC, count: $count_msg, QoS: $qos! at ". date("Y:M-d-D, H:i:s");
		mqtt_publish($out_topics[0][0], $msg, $dup_flag, $qos, $retain_flag);
		mqtt_publish($out_topics[1][0], $msg, $dup_flag, $qos, $retain_flag);
		sleep(2);
		
		$qos = 2;	
		$count_msg++;
		$msg = "Message From PHPoC, count: $count_msg, QoS: $qos! at ". date("Y:M-d-D, H:i:s");
		mqtt_publish($out_topics[0][0], $msg, $dup_flag, $qos, $retain_flag);
		mqtt_publish($out_topics[1][0], $msg, $dup_flag, $qos, $retain_flag);
		sleep(2);
		
	}
	
	if(mqtt_state() == MQTT_DISCONNECTED)
			while(mqtt_reconnect() == false);
	
	if(mqtt_loop($in_topic, $in_content, $is_retain))
	{
		//TODO , procees the received publish packet here
		if($is_retain == 1)
			echo "<<a stale message\r\n";
		
		echo "<<topic:$in_topic\r\n";
		echo "<<content: $in_content\r\n";
	}
}

//mqtt_disconnect();

?>